# Tarfile created using git
# git clone git://gitorious.org/meego-netbook-ux/meego-panel-devices.git
# git archive --format=tar --prefix=meego-panel-devices-%{version}/ %{version} | bzip2 > %{name}-%{version}.tar.bz2
%define tarfile %{name}-%{version}.tar.bz2

Name:          meego-panel-devices
Version:       0.2.7
Release:       7%{?dist}
Summary:       Meego devices panel

Group:         User Interface/Desktops 
License:       GPLv2+ and LGPLv2
URL:           http://www.meego.com/
Source0:       %{tarfile}
Patch0:        mpd-ld.patch
Patch1:        meego-panel-devices-0.2.4-gdk_display_get_default.patch
Patch2:        mpd-upower1.patch
Patch3:        mpd-upower2.patch
Patch4:        mpd-upower3.patch
# Build against libnotify 0.7: https://bugs.meego.com/show_bug.cgi?id=10673
Patch5:        meego-panel-devices-0.2.7-notify07.patch

BuildRequires: upower-devel
BuildRequires: GConf2-devel
BuildRequires: clutter-gtk010-devel
BuildRequires: dbus-glib-devel
BuildRequires: gdk-pixbuf2-devel
BuildRequires: gtk2-devel
BuildRequires: libcanberra-devel
BuildRequires: libnotify-devel
BuildRequires: libmx-devel
BuildRequires: libwnck-devel
BuildRequires: mutter-meego-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: udisks-devel

BuildRequires: pkgconfig
BuildRequires: intltool
BuildRequires: gettext

# Require until stable tar ball release
BuildRequires: libtool
BuildRequires: gnome-common

Provides: dalston = %{version}
Obsoletes: dalston < 0.1.13

%description
Panel for MeeGo for managing sound and disk devices.

%prep
%setup -q
%patch1 -p1 -b .no-GDK_DISPLAY
%patch2 -p1 -b .upower1
%patch3 -p1 -b .upower2
%patch4 -p1 -b .upower3
%patch5 -p1 -b .notify

# Require until stable tar ball release
NOCONFIGURE=yes ./autogen.sh

%patch0 -p1 -b .ld

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

%find_lang meego-panel-devices

%files -f meego-panel-devices.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_sysconfdir}/gconf/schemas/meego-panel-devices.schemas
%{_sysconfdir}/xdg/autostart/meego-power-icon.desktop
%{_libexecdir}/meego-panel-devices
%{_libexecdir}/meego-power-icon
%{_datadir}/dbus-1/services/com.meego.UX.Shell.Panels.devices.service
%{_datadir}/dbus-1/services/com.meego.UX.Shell.Panels.power.service
%{_datadir}/mutter-meego/panels/meego-panel-devices.desktop
%{_datadir}/mutter-meego/panels/meego-power-icon.desktop
%{_datadir}/meego-panel-devices/

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 31 2011 Peter Robinson <pbrobinson@gmail.com> 0.2.7-6
- Rebuild against gtk2/clutter-gtk010

* Mon Jan 10 2011 Matthias Clasen <mclasen@redhat.com> 0.2.7-5
- Rebuild against newer gtk3

* Mon Dec  6 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.7-4
- Rebuild against gtk3

* Tue Nov 30 2010 Adam Williamson <awilliam@redhat.com> 0.2.7-3
- add notify07.patch to fix build against libnotify 0.7

* Tue Nov 30 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.7-2
- add patches to use upower instead of DeviceKit-power

* Mon Nov  1 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.7-1
- 0.2.7 release

* Fri Oct  1 2010 Tom "spot" Callaway <tcallawa@redhat.com> 0.2.4-4
- look for clutter-gtk-1.0
- replace GDK_DISPLAY () (deprecated) with gdk_display_get_default()

* Wed Sep 29 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.4-3
- Bump build

* Mon Aug 30 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.4-2
- Obsolete dalston

* Sat Aug  7 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.4-1
- Update to 0.2.4

* Fri Jul  2 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.33-1
- upstream 0.1.33 release, initial packaging
